org.modeshape.jboss.metric

## Class ModeShapeMetricHandler

- java.lang.Object
- - org.jboss.as.controller.AbstractRuntimeOnlyHandler
  - - org.modeshape.jboss.metric.ModeShapeMetricHandler

- All Implemented Interfaces:
    org.jboss.as.controller.OperationStepHandler

      public abstract class ModeShapeMetricHandler
      extends org.jboss.as.controller.AbstractRuntimeOnlyHandler

  Represents either a ModeShape value or duration metric operation.

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ModeShapeMetricHandler(Window metricWindow)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `executeRuntimeStep(org.jboss.as.controller.OperationContext context, org.jboss.dmr.ModelNode operation)`
    `protected abstract History` | `history(RepositoryMonitor repoStats)`
    `protected org.jboss.logging.Logger` | `logger()`
    `protected Window` | `window()`

    - ### Methods inherited from class org.jboss.as.controller.AbstractRuntimeOnlyHandler

      `execute, resourceMustExist, waitFor`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ModeShapeMetricHandler

          protected ModeShapeMetricHandler(Window metricWindow)

      Parameters:
        `metricWindow` - the metric window (cannot be `null`)

  - ### Method Detail

    - #### executeRuntimeStep

          protected void executeRuntimeStep(org.jboss.as.controller.OperationContext context,
                                org.jboss.dmr.ModelNode operation)
                                     throws org.jboss.as.controller.OperationFailedException

      Specified by:
        `executeRuntimeStep` in class `org.jboss.as.controller.AbstractRuntimeOnlyHandler`
      Throws:
        `org.jboss.as.controller.OperationFailedException`
      See Also:
        `AbstractRuntimeOnlyHandler.executeRuntimeStep(org.jboss.as.controller.OperationContext, org.jboss.dmr.ModelNode)`

    - #### history

          protected abstract History history(RepositoryMonitor repoStats)
                                      throws Exception

      Parameters:
        `repoStats` - the repository statistics used to obtain the metric history (cannot be `null`)
      Returns:
        the requested metric history (never `null` but can be empty)
      Throws:
        `Exception` - if there is a problem obtaining the repository statistics history

    - #### logger

          protected final org.jboss.logging.Logger logger()

      Returns:
        the logger (never `null`)

    - #### window

          protected Window window()

      Returns:
        the metrics window (never `null`)

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.